# class Treetop::Compiler::InlineModule

### Public Instance Methods

compile(index, builder, rule) click to toggle source
Calls superclass method Treetop::Compiler::InlineModuleMixin#compile

    # File lib/treetop/compiler/node_classes/inline_module.rb, line 15
    def compile(index, builder, rule)
      super
      builder.module_declaration(module_name) do
        builder << ruby_code.gsub(/\A\n/, '').rstrip
      end
    end

ruby_code() click to toggle source

    # File lib/treetop/compiler/node_classes/inline_module.rb, line 22
    def ruby_code
      elements[1].text_value
    end